\name{hypercube}
\alias{hypercube}
\title{Conductance matrix of a hypercube}
\description{
  Returns the conductance matrix of an n-dimensional hypercube
}
\usage{
hypercube(n)
}
\arguments{
  \item{n}{Integer giving the dimension of the hypercube}
}
\details{
  The row and columnnames give the coordinates of each node (which are
  in binary order)
}
\value{
  Returns a conductance matrix
}
\author{Robin K. S. Hankin}
\note{
  In the case of a 3D cube, the nodes are in a different order from that
  returned by \code{cube()} (which uses Maple's scheme).
}
\seealso{\code{\link{cube}}}
\examples{
hypercube(4)

}
\keyword{math}
